Get boxsets
Get a Boxset’s artwork and child Set summaries.
GET https://api.mediux.io/boxsets/{setId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Get boxsets
Section titled “Get boxsets”Status: 200 OK
{ "data": { "id": 601, "title": "Shared Universe Boxset", "description": null, "createdBy": "username", "dateCreated": "2026-09-04T10:00:00Z", "dateUpdated": "2026-09-04T10:00:00Z", "language": "en", "poster": "/boxset-poster.jpg", "sets": [ { "id": 123, "kind": "show_set", "title": "Show Artwork Set", "createdBy": "username", "dateUpdated": "2026-09-04T10:00:00Z", "show": { "id": 85949, "title": "Example Show", "year": 2024 } }, { "id": 321, "kind": "movie_set", "title": "Movie Artwork Set", "createdBy": "username", "dateUpdated": "2026-09-04T10:00:00Z", "movie": { "id": 603, "title": "Example Movie", "year": 2001 } } ] }}